Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.maps
Class ConceptMap

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.maps.ConceptMap

All Implemented Interfaces:
  java.io.Serializable

    public class ConceptMap

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: ConceptMap.java,v 1.5 2009/01/19 14:03:03 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`ConceptMap()`

Method Summary
`void` | `addMember(int index, Member vMember)`
`void` | `addMember(Member vMember)`
`java.util.Enumeration<? extends Member>` | `enumerateMember()` Method enumerateMember.
`java.lang.String` | `getContainerDimensionType()` Returns the value of field 'containerDimensionType'.
`java.lang.String` | `getDomain()` Returns the value of field 'domain'.
`java.lang.String` | `getInputID()` Returns the value of field 'inputID'.
`Member[]` | `getMember()` Method getMember.Returns the contents of the collection in an Array.
`Member` | `getMember(int index)` Method getMember.
`int` | `getMemberCount()` Method getMemberCount.
`java.lang.String` | `getNs()` Returns the value of field 'ns'.
`java.lang.String` | `getNsPrefix()` Returns the value of field 'nsPrefix'.
`java.math.BigDecimal` | `getOrder()` Returns the value of field 'order'.
`java.lang.String` | `getOutputID()` Returns the value of field 'outputID'.
`java.lang.String` | `getParent()` Returns the value of field 'parent'.
`java.lang.Boolean` | `isTypedDimension()` Returns the value of field 'isTypedDimension'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllMember()`
`boolean` | `removeMember(Member vMember)` Method removeMember.
`Member` | `removeMemberAt(int index)` Method removeMemberAt.
`void` | `setContainerDimensionType(java.lang.String containerDimensionType)` Sets the value of field 'containerDimensionType'.
`void` | `setDomain(java.lang.String domain)` Sets the value of field 'domain'.
`void` | `setInputID(java.lang.String inputID)` Sets the value of field 'inputID'.
`void` | `setMember(int index, Member vMember)`
`void` | `setMember(Member[] vMemberArray)`
`void` | `setNs(java.lang.String ns)` Sets the value of field 'ns'.
`void` | `setNsPrefix(java.lang.String nsPrefix)` Sets the value of field 'nsPrefix'.
`void` | `setOrder(java.math.BigDecimal order)` Sets the value of field 'order'.
`void` | `setOutputID(java.lang.String outputID)` Sets the value of field 'outputID'.
`void` | `setParent(java.lang.String parent)` Sets the value of field 'parent'.
`void` | `setTypedDimension(java.lang.Boolean isTypedDimension)` Sets the value of field 'isTypedDimension'.
`static ConceptMap` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConceptMap

    public ConceptMap()

Method Detail

### addMember

    public void addMember(Member vMember)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMember` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addMember

    public void addMember(int index,
                          Member vMember)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMember` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateMember

    public java.util.Enumeration<? extends Member> enumerateMember()

  Method enumerateMember.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.maps.Member elements

### getDomain

    public java.lang.String getDomain()

  Returns the value of field 'domain'. The field 'domain' has the following description: Nombre de la dimensiÃ³n

  Returns:
    the value of field 'Domain'.

### getContainerDimensionType

    public java.lang.String getContainerDimensionType()

  Returns the value of field 'containerDimensionType'. The field 'containerDimensionType' has the following description: Tipo de contenedor para los miembros de la dimension en el contexto

  Returns:
    the value of field 'containerDimensionType'.

### isTypedDimension

    public java.lang.Boolean isTypedDimension()

  Returns the value of field 'isTypedDimension'. The field 'isTypedDimension' has the following description: Especifica si el tipo de dimension es typed. Si no aparece, la dimensión es explícita

  Returns:
    the value of field 'isTypedDimension'.

### getInputID

    public java.lang.String getInputID()

  Returns the value of field 'inputID'. The field 'inputID' has the following description: El codigo EspaÃ±ol.

  Returns:
    the value of field 'InputID'.

### getMember

    public Member getMember(int index)
                     throws java.lang.IndexOutOfBoundsException

  Method getMember.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.maps.Member at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getMember

    public Member[] getMember()

  Method getMember.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getMemberCount

    public int getMemberCount()

  Method getMemberCount.

  Returns:
    the size of this collection

### getNs

    public java.lang.String getNs()

  Returns the value of field 'ns'.

  Returns:
    the value of field 'Ns'.

### getNsPrefix

    public java.lang.String getNsPrefix()

  Returns the value of field 'nsPrefix'.

  Returns:
    the value of field 'NsPrefix'.

### getOrder

    public java.math.BigDecimal getOrder()

  Returns the value of field 'order'.

  Returns:
    the value of field 'Order'.

### getOutputID

    public java.lang.String getOutputID()

  Returns the value of field 'outputID'. The field 'outputID' has the following description: El nombre del tema XBRL

  Returns:
    the value of field 'OutputID'.

### getParent

    public java.lang.String getParent()

  Returns the value of field 'parent'.

  Returns:
    the value of field 'Parent'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllMember

    public void removeAllMember()

### removeMember

    public boolean removeMember(Member vMember)

  Method removeMember.

  Parameters:
    `vMember` -
  Returns:
    true if the object was removed from the collection.

### removeMemberAt

    public Member removeMemberAt(int index)

  Method removeMemberAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setDomain

    public void setDomain(java.lang.String domain)

  Sets the value of field 'domain'. The field 'domain' has the following description: Nombre de la dimensiÃ³n

  Parameters:
    `domain` - the value of field 'domain'.

### setContainerDimensionType

    public void setContainerDimensionType(java.lang.String containerDimensionType)

  Sets the value of field 'containerDimensionType'. The field 'containerDimensionType' has the following description: Tipo de contenedor para los miembros de la dimension en el contexto

  Parameters:
    `containerDimensionType` - the value of field 'containerDimensionType'.

### setTypedDimension

    public void setTypedDimension(java.lang.Boolean isTypedDimension)

  Sets the value of field 'isTypedDimension'. The field 'isTypedDimension' has the following description: Especifica si el tipo de dimension es typed. Si no aparece, la dimensión es explícita

  Parameters:
    `isTypedDimension` - the value of field 'isTypedDimension'.

### setInputID

    public void setInputID(java.lang.String inputID)

  Sets the value of field 'inputID'. The field 'inputID' has the following description: El codigo EspaÃ±ol.

  Parameters:
    `inputID` - the value of field 'inputID'.

### setMember

    public void setMember(int index,
                          Member vMember)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMember` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setMember

    public void setMember(Member[] vMemberArray)

  Parameters:
    `vMemberArray` -

### setNs

    public void setNs(java.lang.String ns)

  Sets the value of field 'ns'.

  Parameters:
    `ns` - the value of field 'ns'.

### setNsPrefix

    public void setNsPrefix(java.lang.String nsPrefix)

  Sets the value of field 'nsPrefix'.

  Parameters:
    `nsPrefix` - the value of field 'nsPrefix'.

### setOrder

    public void setOrder(java.math.BigDecimal order)

  Sets the value of field 'order'.

  Parameters:
    `order` - the value of field 'order'.

### setOutputID

    public void setOutputID(java.lang.String outputID)

  Sets the value of field 'outputID'. The field 'outputID' has the following description: El nombre del tema XBRL

  Parameters:
    `outputID` - the value of field 'outputID'.

### setParent

    public void setParent(java.lang.String parent)

  Sets the value of field 'parent'.

  Parameters:
    `parent` - the value of field 'parent'.

### unmarshal

    public static ConceptMap unmarshal(java.io.Reader reader)
                                throws org.exolab.castor.xml.MarshalException,
                                       org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.maps.ConceptMap
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD